> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Terminate Vm

> Terminate and delete a VM permanently.



## OpenAPI

````yaml /api-reference/openapi.json delete /api/v2/external/vms/{vm_id}
openapi: 3.1.0
info:
  title: Lyceum Cloud API
  version: 0.1.0
servers:
  - url: https://api.lyceum.technology
    description: Production
security:
  - bearerAuth: []
paths:
  /api/v2/external/vms/{vm_id}:
    delete:
      tags:
        - VMs
      summary: Terminate Vm
      description: Terminate and delete a VM permanently.
      operationId: terminate_vm_api_v2_external_vms__vm_id__delete
      parameters:
        - name: vm_id
          in: path
          required: true
          schema:
            type: string
            title: Vm Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VMOperationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VMOperationResponse:
      properties:
        vm_id:
          type: string
          title: Vm Id
        status:
          type: string
          title: Status
        message:
          type: string
          title: Message
      type: object
      required:
        - vm_id
        - status
        - message
      title: VMOperationResponse
      description: Response model for VM operations like start/stop.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Pass an API key (prefixed `lk_`) or a JWT access token as a bearer
        token. Generate API keys in the dashboard at
        https://dashboard.lyceum.technology/api-keys.

````